Bug 175057 - [maintainer update] devel/ChipmunkPhysics bump from 6.1.2 to 6.1.3
[maintainer update] devel/ChipmunkPhysics bump from 6.1.2 to 6.1.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-06 12:10 UTC by GNATS administrator
Modified: 2013-01-20 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.04 KB, patch)
2013-01-06 12:10 UTC, GNATS administrator
no flags Details | Diff
ChipmunkPhysics.diff (1.15 KB, patch)
2013-01-20 12:02 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description GNATS administrator freebsd_committer 2013-01-06 12:10:00 UTC
I apologize for taking a couple of days after the bot has informed me of the update, but I had to contact the author to make sure that this was an actual release, as it is not yet listed on the website.

It is going to be an official release as soon as the updated documentation is compiled; the author doesn't want to add it to the website before that, but the binary itself is a release.

Fix: Patch file is attached.

Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2013-01-06 12:10:07 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-01-06 12:10:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2013-01-06 12:10:09 UTC
Maintainer of devel/ChipmunkPhysics,

Please note that PR ports/175057 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175057

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 ports 2013-01-06 12:16:03 UTC
Yeah I approve; it's actually me who submitted this, but put in the wrong
email by accident.

On 6 January 2013 13:10, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of devel/ChipmunkPhysics,
>
> Please note that PR ports/175057 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175057
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 5 Chris Rees freebsd_committer 2013-01-06 14:59:37 UTC
State Changed
From-To: feedback->open

Maintainer really is submitter 


Comment 6 Chris Rees freebsd_committer 2013-01-06 14:59:37 UTC
Class Changed
From-To: change-request->maintainer-update

This really is the maintainer
Comment 7 Guido Falsi freebsd_committer 2013-01-20 11:47:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 8 Guido Falsi freebsd_committer 2013-01-20 12:02:39 UTC
Hi,

In testing your submission I also added MAKE_JOBS_SAFE, and it seems to 
work fine.

have you any objection?

Can you approve the attached patch(adding JOBS SAFE)?

Thanks!

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 9 dfilter freebsd_committer 2013-01-20 13:34:09 UTC
Author: madpilot
Date: Sun Jan 20 13:33:56 2013
New Revision: 310686
URL: http://svnweb.freebsd.org/changeset/ports/310686

Log:
  - Update to 6.1.3
  - Mark MAKE_JOBS_SAFE
  
  PR:		ports/175057
  Submitted by:	Tim Cas <ports@stdrand.com> (maintainer)

Modified:
  head/devel/ChipmunkPhysics/Makefile
  head/devel/ChipmunkPhysics/distinfo
  head/devel/ChipmunkPhysics/pkg-plist

Modified: head/devel/ChipmunkPhysics/Makefile
==============================================================================
--- head/devel/ChipmunkPhysics/Makefile	Sun Jan 20 13:22:46 2013	(r310685)
+++ head/devel/ChipmunkPhysics/Makefile	Sun Jan 20 13:33:56 2013	(r310686)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	ChipmunkPhysics
-PORTVERSION=	6.1.2
+PORTVERSION=	6.1.3
 CATEGORIES=	devel
 MASTER_SITES=	http://chipmunk-physics.net/release/Chipmunk-6.x/ \
 		http://files.libsiege.org/chipmunk/
@@ -17,6 +17,7 @@ LICENSE_FILE=	${WRKSRC}/LICENSE.txt
 
 USE_CMAKE=	yes
 CMAKE_ARGS=	-DBUILD_DEMOS=OFF
+MAKE_JOBS_SAFE=	yes
 
 USE_LDCONFIG=	yes
 

Modified: head/devel/ChipmunkPhysics/distinfo
==============================================================================
--- head/devel/ChipmunkPhysics/distinfo	Sun Jan 20 13:22:46 2013	(r310685)
+++ head/devel/ChipmunkPhysics/distinfo	Sun Jan 20 13:33:56 2013	(r310686)
@@ -1,2 +1,2 @@
-SHA256 (Chipmunk-6.1.2.tgz) = f9d3e7d2480e50b034081613c18fa90421d5bf002af813ef1443e832dac43fc2
-SIZE (Chipmunk-6.1.2.tgz) = 324892
+SHA256 (Chipmunk-6.1.3.tgz) = 8fdc250e5259f82b59c79d94b2dcded1f906c8e2a3c616098d73f9459cb3c3cc
+SIZE (Chipmunk-6.1.3.tgz) = 325756

Modified: head/devel/ChipmunkPhysics/pkg-plist
==============================================================================
--- head/devel/ChipmunkPhysics/pkg-plist	Sun Jan 20 13:22:46 2013	(r310685)
+++ head/devel/ChipmunkPhysics/pkg-plist	Sun Jan 20 13:33:56 2013	(r310686)
@@ -1,4 +1,4 @@
-lib/libchipmunk.so.6.1.2
+lib/libchipmunk.so.6.1.3
 lib/libchipmunk.so
 lib/libchipmunk.a
 include/chipmunk/cpBody.h
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Guido Falsi freebsd_committer 2013-01-20 13:34:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 11 Guido Falsi freebsd_committer 2013-01-20 14:10:23 UTC
Quick followup to note that maintainer had already approved via private 
email to me.

For some reason gnats did not register this in the trail when I told it to.

-- 
Guido Falsi <madpilot@FreeBSD.org>